Package org.pushingpixels.substance.internal.inputmaps

# Class BaseInputMapSet.ToolBarActions

java.lang.Object
org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet.ToolBarActions

Enclosing class:
  `BaseInputMapSet`

protected static class BaseInputMapSet.ToolBarActions extends Object
From BasicToolBarUI.Actions

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NAVIGATE_DOWN`
`static final String`
`NAVIGATE_LEFT`
`static final String`
`NAVIGATE_RIGHT`
`static final String`
`NAVIGATE_UP`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ToolBarActions()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NAVIGATE_RIGHT

public static final String NAVIGATE_RIGHT

See Also:
  - Constant Field Values

### NAVIGATE_LEFT

public static final String NAVIGATE_LEFT

See Also:
  - Constant Field Values

### NAVIGATE_UP

public static final String NAVIGATE_UP

See Also:
  - Constant Field Values

### NAVIGATE_DOWN

public static final String NAVIGATE_DOWN

See Also:
  - Constant Field Values

## Constructor Details

### ToolBarActions

protected ToolBarActions()